Package Details: libnotify-id-git 0.7.6.7.g6b03c47-1

Git Clone URL: https://aur.archlinux.org/libnotify-id-git.git (read-only)
Package Base: libnotify-id-git
Description: Gnome notification library, including ID patch
Upstream URL: http://library.gnome.org/devel/libnotify/
Licenses: GPL
Conflicts: libnotify, libnotify-git
Provides: libnotify=0.7.5
Submitter: Florian
Maintainer: Florian
Last Packager: Florian
Votes: 4
Popularity: 0.072331
First Submitted: 2013-01-29 14:26
Last Updated: 2016-10-13 09:40

Dependencies (5)

Required by (573)

Sources (2)

Latest Comments

Florian commented on 2016-10-13 09:46

Hi

Both build() and package() are used, the former for compiling the source code, and the latter for packaging compiled binaries. For more information, see the wiki [1, 2].
But you are right that build() function should've been split long ago. I rewrote the entire PKGBUILD to conform to recent standards.
I left the gnome-common-git dependency in, because I assume the libnotify-git repo depends on gnome-common's HEAD version.

Thanks

[1] https://wiki.archlinux.org/index.php/Creating_packages
[2] https://wiki.archlinux.org/index.php/PKGBUILD

paulourriza commented on 2016-10-13 06:13

I'm new to this, so forgive me if some of this is not correct (just thought it might improve this package). It told me that build() should now be replaced by package(). Also, perhaps gnome-common-git dependency could be replaced by gnome-common. Initially it caused an error for me so I just replaced it. Otherwise, great package.